Summary: A GNU set of database routines which use extensible hashing.
Name: gdbm
Version: 1.8.0
Release: 1.3.0
Source: ftp://prep.ai.mit.edu/pub/gnu/gdbm-%{version}.tar.gz
Patch0: gdbm-1.8.0-jbj.patch
Copyright: GPL
Group: System Environment/Libraries
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
Gdbm is a GNU database indexing library, including routines which use
extensible hashing.  Gdbm works in a similar way to standard UNIX dbm
routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

%package devel
Summary: Development libraries and header files for the gdbm library.
Group: Development/Libraries
Requires: gdbm = %{version}

%description devel
Gdbm-devel contains the development libraries and header files for
gdbm, the GNU database system.  These libraries and header files are
necessary if you plan to do development using the gdbm database.

Install gdbm-devel if you are developing C programs which will use the
gdbm database library.  You'll also need to install the gdbm package.

%prep
%setup -q
%patch0 -p 1 -b .jbj

%build
# XXX --includedir dinna work
%configure

rm -f libtool
cp -a /usr/bin/libtool .

make CFLAGS="$RPM_OPT_FLAGS" includedir=%{_prefix}/include/gdbm

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# XXX --includedir dinna work
make install install-compat \
    prefix=${RPM_BUILD_ROOT}%{_prefix} \
    manprefix=$RPM_BUILD_ROOT/%{_mandir} \
    man3dir=$RPM_BUILD_ROOT/%{_mandir}/man3 \
    infodir=$RPM_BUILD_ROOT/%{_infodir} \
    includedir=${RPM_BUILD_ROOT}%{_prefix}/include/gdbm

( cd $RPM_BUILD_ROOT
  ln -sf gdbm/gdbm.h .%{_prefix}/include/gdbm.h
  ln -sf libgdbm.so.2.0.0 .%{_prefix}/lib/libgdbm.so
  gzip -9nf .%{_prefix}/info/gdbm*info*
)

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_prefix}/lib/libgdbm.so.2*

%files devel
%defattr(-,root,root)
%{_libdir}/libgdbm.so
%{_libdir}/libgdbm.la
%{_libdir}/libgdbm.a
%{_includedir}
%{_infodir}/*.info*
%{_mandir}/man3/*

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.8.1, Release 1.5.0
  - Don't use old packaged libtool.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.[01]
  - Initial build for EnGarde v1.2 (Parry).
  - Re-introduced devel subpackage.
  - Fixed broken man/info stuff.
  - Fix %clean stanza.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.8.0, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.8.0, Release 1.0.3
  - more i386 fixes.

* Thu Jul 13 2000 Pete O'Hara <pete@guardiandigital.com>
- removed "devel" package for Guaridian Digital Lockbox
